Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.mbeans
Interface PaymentServiceClientMBean

public interface PaymentServiceClientMBean
extends ServiceConfigurationMBean

The MBean that configures the client side of the tax service.

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`java.lang.String` | `getDeferAuthorization()` Get flag on whether or not authorizations should be deferred
`java.lang.String` | `getPaymentModel()` Get the payment model setting of your business
`java.lang.String` | `getPaymentWebServiceWSDL()` Get the WSDL of the Payment service
`void` | `setDeferAuthorization(java.lang.String trueOrFalse)` Indicate if authorizations should be deferred
`void` | `setPaymentModel(java.lang.String paymentModel)` Set the payment model of your business
`void` | `setPaymentWebServiceWSDL(java.lang.String wsdl)` Set the WSDL of the payment web service

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`addLinkMbeanAttribute, getAttributeStringValue, getNotes, getSetFields, getXml, getXmlConverter, isPersistenceEnabled, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### setDeferAuthorization

    public void setDeferAuthorization(java.lang.String trueOrFalse)

  Indicate if authorizations should be deferred

  A dynamic MBean attribute
  Old Property: commerce.payment.defer.authorization

### getDeferAuthorization

    public java.lang.String getDeferAuthorization()

  Get flag on whether or not authorizations should be deferred

  Old Property: tax.calculator.jndi.name

### setPaymentWebServiceWSDL

    public void setPaymentWebServiceWSDL(java.lang.String wsdl)

  Set the WSDL of the payment web service

  A dynamic MBean attribute

### getPaymentWebServiceWSDL

    public java.lang.String getPaymentWebServiceWSDL()

  Get the WSDL of the Payment service

### setPaymentModel

    public void setPaymentModel(java.lang.String paymentModel)

  Set the payment model of your business

  Old Property: PaymentModel

### getPaymentModel

    public java.lang.String getPaymentModel()

  Get the payment model setting of your business

  Old Property: PaymentModel

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved